Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmldb.api.base
Class XMLDBException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xmldb.api.base.XMLDBException

All Implemented Interfaces:
  java.io.Serializable

    public final class XMLDBException

extends java.lang.Exception

XMLDBException is thrown for all errors in the XML:DB API. It contains two error codes one an XML:DB error code as defined in ErrorCodes and one vendor specific. If the error being thrown is only vendor specific then errorCode MUST be set to ErrorCodes.VENDOR_ERROR.

See Also:
  `ErrorCodes`, Serialized Form

Field Summary
`int` | `errorCode` errorCode
`int` | `vendorErrorCode` vendorErrorCode

Constructor Summary
`XMLDBException()` XMLDBException
`XMLDBException(int errorCode)` XMLDBException
`XMLDBException(int errorCode, int vendorErrorCode)` XMLDBException
`XMLDBException(int errorCode, int vendorErrorCode, java.lang.String message)` XMLDBException
`XMLDBException(int errorCode, java.lang.String message)` XMLDBException

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    public int errorCode

  errorCode

### vendorErrorCode

    public int vendorErrorCode

  vendorErrorCode

Constructor Detail

### XMLDBException

    public XMLDBException()

  XMLDBException

### XMLDBException

    public XMLDBException(int errorCode)

  XMLDBException

  Parameters:
    `errorCode` -

### XMLDBException

    public XMLDBException(int errorCode,
                          java.lang.String message)

  XMLDBException

  Parameters:
    `errorCode` -
    `message` -

### XMLDBException

    public XMLDBException(int errorCode,
                          int vendorErrorCode)

  XMLDBException

  Parameters:
    `errorCode` -
    `vendorErrorCode` -

### XMLDBException

    public XMLDBException(int errorCode,
                          int vendorErrorCode,
                          java.lang.String message)

  XMLDBException

  Parameters:
    `errorCode` -
    `vendorErrorCode` -
    `message` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD